/*
 * This software is the confidential and proprietary information of
 * Smardec. You shall not disclose or distribute such Confidential Information.
 * This software shall not be integrated, copied (partially or fully),
 * or reverse engineered into any other software, program, or code that is
 * not intended for Smardec. You shall use it only in accordance with the terms
 * of the license agreement you entered into with Smardec.
 *
 * Copyright (C) 2004-2006 Smardec. All rights reserved.
 *
 * http://www.smardec.com
 *
 */

package com.smardec.demo.j2native.win32.regviewer;

import com.smardec.j2native.AnsiString;
import com.smardec.j2native.Argument;

import javax.swing.tree.DefaultMutableTreeNode;

public class RegNode extends DefaultMutableTreeNode {
    private AnsiString name;
    private boolean twoLevelLoaded;
    private Argument hKey;

    public RegNode(AnsiString name) {
        this.name = name;
    }

    public RegNode(AnsiString name, Argument hKey) {
        this.name = name;
        this.hKey = hKey;
    }

    public AnsiString getName() {
        return name;
    }

    public boolean isTwoLevelLoaded() {
        return twoLevelLoaded;
    }

    public void setTwoLevelLoaded(boolean twoLevelLoaded) {
        this.twoLevelLoaded = twoLevelLoaded;
    }

    public Argument getHKey() {
        return hKey;
    }

    public String toString() {
        return getName().toString();
    }
}
